
clear all
import excel using bivariate-regression-data.xlsx ,firstrow

forval i = 1/6 {
  scatter y`i' x ,xsize(15) ysize(15) name(y`i') msize(small) scheme(s1mono)
}

graph combine y1 y2 y3 y4 y5 y6 ,cols(2) xsize(8.5) ysize(11) scheme(s1mono)
foo

reg y1 x
predict yhat1ols
qreg y1 x
predict yhat1lad

scatter y1 x || line yhat1ols pcchocolate ,xsize(15) ysize(15) name(y1ols) legend(label(2 "OLS"))
scatter y1 x || line yhat1lad pcchocolate ,xsize(15) ysize(15) lcolor(green) name(y1lad) legend(label(2 "LAD"))

reg y2 x
predict yhat2ols
qreg y2 x
predict yhat2lad

scatter y2 x || line yhat2ols x || line yhat2lad x ,xsize(15) ysize(15) name(y2both) legend(label(2 "OLS") label(3 "LAD"))




